package com.zhentao.groups.im.handler;

import com.alibaba.fastjson2.JSON;
import com.zhentao.groups.im.Command;
import com.zhentao.groups.im.ImServer;
import com.zhentao.groups.im.Results;
import io.netty.channel.ChannelHandlerContext;

public class ConnectionHandler {

    public static void execute(ChannelHandlerContext ctx, Command command){
        if (ImServer.USERS.containsKey(command.getId())){
            ctx.channel().writeAndFlush(Results.fail("改用已经在线,请换个用户"));
            ctx.channel().disconnect();
            return;
        }

        ImServer.USERS.put(command.getId(),ctx.channel());

        ctx.channel().writeAndFlush(Results.success("与服务端链接成功"));
        ctx.channel().writeAndFlush(Results.success(JSON.toJSONString(ImServer.USERS.size())));



    }

}
