package com.zhentao.groups.controller;

import com.zhentao.groups.dto.AddGroupMembers;
import com.zhentao.groups.dto.AddGroupsDto;
import com.zhentao.groups.dto.DelGroupMembers;
import com.zhentao.groups.dto.OutGroupsDto;
import com.zhentao.groups.service.GroupsService;
import com.zhentao.tool.TokenUtils;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;

@RequestMapping("/group")
@RestController
public class groupsController {


    @Autowired
    private GroupsService groupsService;

//  创建群聊
    @PostMapping("/addGroup")
    public Result addGroup(@RequestBody AddGroupsDto addGroupsDto, @RequestHeader("token") String token) throws IOException {
        System.err.println(addGroupsDto);
        Long userIdFromToken = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        addGroupsDto.setCreatorId(userIdFromToken);
        return groupsService.addGroup(addGroupsDto);
    }


//    添加好友
    @PostMapping("/AddGroupMembers")
    public Result AddGroupMembers(@RequestBody AddGroupMembers addGroupMembers){
        return groupsService.AddGroupMembers(addGroupMembers);
    }

//    提出群聊
    @PostMapping("/DelGroupMembers")
    public Result DelGroupMembers(@RequestBody DelGroupMembers delGroupMembers,@RequestHeader("token") String token){
        Long userIdFromToken = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        delGroupMembers.setUId(userIdFromToken);
        return groupsService.DelGroupMembers(delGroupMembers);
    }

//    退出群聊
    @PostMapping("/outGroup")
    public Result outGroup(@RequestBody OutGroupsDto outGroupsDto, @RequestHeader("token") String token){
        Long userIdFromToken = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        outGroupsDto.setUid(userIdFromToken);
        return groupsService.outGroup(outGroupsDto);
    }

//    解散群聊
    @PostMapping("/delGroup")
    public Result delGroup(@RequestBody OutGroupsDto outGroupsDto, @RequestHeader("token") String token){
        Long userIdFromToken = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        outGroupsDto.setUid(userIdFromToken);
        return groupsService.delGroup(outGroupsDto);
    }







}
