package com.zhentao.groups.im.handler;


import com.zhentao.groups.im.ImServer;
import com.zhentao.groups.im.Results;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.group.DefaultChannelGroup;
import io.netty.util.concurrent.GlobalEventExecutor;

public class JoinGroupHandler {
    public static void execute(ChannelHandlerContext ctx,String groupId) {

        ImServer.GROUP.computeIfAbsent(groupId, k -> new DefaultChannelGroup(GlobalEventExecutor.INSTANCE));

        ImServer.GROUP.get(groupId).add(ctx.channel());

        ctx.channel().writeAndFlush(Results.success("加入群聊成功"));
    }

}
