package com.zhentao.shouye.controller;

import com.zhentao.config.NullLogin;
import com.zhentao.shouye.dto.UserShouyeDto;
import com.zhentao.shouye.service.UserShouyeService;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("shouye")
public class UserShouyeController {
    @Autowired
    private UserShouyeService userShouyeService;

    @PostMapping("findAll")
    @NullLogin
    public Result findAll(@RequestBody UserShouyeDto dto){
        return userShouyeService.findAll(dto);
    }
}
